# Makefile for the Metafont window support library.

ac_include ../make/common.make
ac_include ../make/library.make
ac_include kpathsea.make

LN = @LN_S@
x_cppflags = @X_CFLAGS@
library = window

# Extra library-specific compiler options.
prog_cflags = -I.. -I$(srcdir)/.. $(x_cppflags)

objects = amiga.o hp2627.o mftalk.o next.o regis.o suntools.o tek.o \
trap.o uniterm.o x11.o 

default all: $(library).a
$(library).a: $(objects)
	rm -f $@
	$(AR) $(ARFLAGS) $@ $(objects)
	$(RANLIB) $@

# It doesn't matter much what this default is, since if anything was
# enabled configure would hopefully have found it.
x11.c:
	$(LN) $(srcdir)/x11-Xt.c $@

Makefile: Makefile.in ../config.status
	cd .. && $(SHELL) config.status

ac_include ../make/clean.make

distclean::
	rm -f x11.c

ac_include ../make/rdepend.make
amiga.o: amiga.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
hp2627.o: hp2627.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
mftalk.o: mftalk.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
next.o: next.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
regis.o: regis.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
suntools.o: suntools.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
tek.o: tek.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
trap.o: trap.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
uniterm.o: uniterm.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
x11-Xlib.o: x11-Xlib.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
x11-Xt.o: x11-Xt.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
x11.o: x11.c ../mfd.h ../texmfmp.h ../cpascal.h ../config.h \
 ../../kpathsea/config.h ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/getopt.h \
 ../../kpathsea/proginit.h ../../kpathsea/tex-file.h ../help.h \
 ../../kpathsea/c-pathch.h ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-make.h ../texmfmem.h ../mfcoerce.h
